func_exponential.hpp File Reference

GLM Core More...

Go to the source code of this file.

## Functions

template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | exp (vecType< T, P > const &v)
| Returns the natural exponentiation of x, i.e., e^x. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | exp2 (vecType< T, P > const &v)
| Returns 2 raised to the v power. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | inversesqrt (vecType< T, P > const &v)
| Returns the reciprocal of the positive square root of v. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | log (vecType< T, P > const &v)
| Returns the natural logarithm of v, i.e., returns the value y which satisfies the equation x = e^y. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | log2 (vecType< T, P > const &v)
| Returns the base 2 log of x, i.e., returns the value y, which satisfies the equation x = 2 ^ y. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | pow (vecType< T, P > const &base, vecType< T, P > const &exponent)
| Returns 'base' raised to the power 'exponent'. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | sqrt (vecType< T, P > const &v)
| Returns the positive square root of v. More...

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.2 Exponential Functions

Definition in file func_exponential.hpp.